zenilib: ITfUIElementMgrVtbl Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
ITfUIElementMgrVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfUIElementMgr *
| HRESULT (STDMETHODCALLTYPE *BeginUIElement)(ITfUIElementMgr *
ITfUIElement BOOL DWORD * | HRESULT (STDMETHODCALLTYPE *UpdateUIElement)(ITfUIElementMgr *
| HRESULT (STDMETHODCALLTYPE *EndUIElement)(ITfUIElementMgr *
| HRESULT (STDMETHODCALLTYPE *GetUIElement)(ITfUIElementMgr *
ITfUIElement ** | HRESULT (STDMETHODCALLTYPE *EnumUIElements)(ITfUIElementMgr *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfUIElementMgr *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfUIElementMgr *)

## Public Attributes

ITfUIElement BOOL DWORD | DWORD
| DWORD
| REFIID

## Detailed Description

Definition at line 114 of file SDL_msctf.h.

## Member Function Documentation

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | BeginUIElement | ) |

ITfUIElement BOOL DWORD* ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | UpdateUIElement | ) |

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EndUIElement | ) |

ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetUIElement | ) |

ITfUIElement** ITfUIElementMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumUIElements | ) |

void** ITfUIElementMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

ITfUIElementMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Member Data Documentation

ITfUIElement BOOL DWORD ITfUIElementMgrVtbl::DWORD

Definition at line 120 of file SDL_msctf.h.

ITfUIElementMgrVtbl::DWORD

Definition at line 121 of file SDL_msctf.h.

ITfUIElementMgrVtbl::REFIID

Definition at line 116 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/windows/SDL_msctf.h